get
https://api.staging.bancocdc.com.br/generated/boleto
Route to retrieve a list of generated boletos based on the filters passed
The
transaction_statusfilter alters some rulesWhen
initial_dateandfinal_dateare provided, results are filtered bycreated_atby default.However, if a
transaction_statusfilter is also supplied, the date field used for filtering may change. For paid(2) transaction statuses, the date filter is applied topayment_dateinstead ofcreated_at.
Response parameters
| Parameters | Format | Description |
|---|---|---|
| return | Boolean | Response status (true/false) |
| message | String | Response message |
| page | Number | Page on this request |
| total_pages | Number | total pages |
| registries | Number | registries on this request |
| total_registries | Number | total registries |
| data | Array of object | Object with boletos |
| code | String | Identification code |
| created_at | String | Created at |
| due_date | String | Due date |
| code_transaction_type | Number | Transaction type code |
| transaction_type | String | Transaction type |
| code_transaction_status | Number | Transaction status code |
| transaction_status | String | Transaction status |
| receiver_account | String | Receiver account |
| digitable | String | Digitable boleto |
| amount | String | Amount boleto |
Transaction Status Codes
| Code | Description |
|---|---|
| 1 | In Process |
| 2 | Approved |
| 3 | Canceled |
| 4 | Expired |
| 5 | Under Review |
| 6 | Pending |
| 7 | Sent For Refund |
| 8 | Refund Made |
| 9 | Paid |
| 10 | Created |
| 11 | Clearing |
| 12 | Consulted |
| 13 | Authorized |
| 14 | Paid via pix |